Electronic Load 1.0 Programmable Constant Current Sink

Functions | Variables
menu.c File Reference

Handles menu display and selection. More...

Include dependency graph for menu.c:

## Functions
void | Menu (const menu_t *menu)
| Executes a menu page. More...
static void | MenuDraw (const menu_t *menu)
| Draws a menu page (without erasing the display before) More...
void | MenuMain (void)
| Displays the Main Menu. More...

## Variables
uint8_t | activeItem
uint8_t | numberOfItems
static const char TXT_BACK [] | PROGMEM ="Back"
| The structure of the main menu. More...
uint8_t | redrawRequest
| Set to 1 by USB if screen was modified. More...
static const char | TXT_BACK [] = "Back"
| The Back-Button is a Replacement for the Cancel Button. More...
const char | TXT_MAIN1 [] ="Manual Test"
static const char | TXT_MAINMENU [] =" --- Main Menu ---"

## Detailed Description

Handles menu display and selection.

Menus are handled in pages. Due to display limitations, each page can have a maximum of 7 entries. The main menu is called as a page. Submenus are subsequent calls to menue().

## Function Documentation

## ◆ MenuMain()

void MenuMain | ( | void |  | ) |

Displays the Main Menu.

Here is the call graph for this function:

## ◆ MenuDraw()

static void MenuDraw | ( | const menu_t * | menu | ) |
| static

Draws a menu page (without erasing the display before)

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Menu()

void Menu | ( | const menu_t * | menu | ) |

Executes a menu page.

Parameters

  menu | A pointer to an MENU_t-struct

The display is erased and the menu is drawn. If an entry is selected, the according function is called. This function returns if the cancel-key is pressed. On return, the display is cleared.

Here is the call graph for this function:

## Variable Documentation

## ◆ redrawRequest

uint8_t redrawRequest

Set to 1 by USB if screen was modified.

## ◆ TXT_BACK

static const char TXT_BACK = "Back"
| static

The Back-Button is a Replacement for the Cancel Button.

## ◆ PROGMEM

const menu_t menuStructMain PROGMEM ="Back"
| static

The structure of the main menu.

## ◆ TXT_MAINMENU

static const char TXT_MAINMENU =" --- Main Menu ---"
| static

## ◆ TXT_MAIN1

const char TXT_MAIN1 ="Manual Test"

## ◆ activeItem

uint8_t activeItem

## ◆ numberOfItems

uint8_t numberOfItems